import pytest

from endpoints.common import common_login

from test.fixtures import *
from endpoints.common_models_pre_oci import pre_oci_model as model

@pytest.mark.parametrize('username, expect_success', [
  # Valid users.
  ('devtable', True),
  ('public', True),

  # Org.
  ('buynlarge', False),

  # Robot.
  ('devtable+dtrobot', False),

  # Unverified user.
  ('unverified', False),
])
def test_common_login(username, expect_success, app):
  uuid = model.get_namespace_uuid(username)
  with app.app_context():
    assert common_login(uuid) == expect_success
